# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Class RevisionEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<RevisionEntry>
                  com.google.gdata.data.docs.RevisionEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class RevisionEntry

extends BaseEntry<RevisionEntry>

Defines an entry in a feed of revisions of a document.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Category used to label revision entries.
`static java.lang.String` `KIND` Kind category term used to label revision entries.
`static java.lang.String` `LABEL` Label for category.
`static java.lang.String` `PUBLISH_NAMESPACE`

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`RevisionEntry()`
`RevisionEntry(BaseEntry<?> sourceEntry)`

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Person` `getModifyingUser()`
`Link` `getPublishLink()` Returns the publically accessible link for the published revision.
`java.lang.Boolean` `isPublish()` Returns whether the revision is published.
`java.lang.Boolean` `isPublishAuto()` Returns whether changes to the document are automatically re-published.
`java.lang.Boolean` `isPublishOutsideDomain()` Sets whether the document is published outside of its domain.
`void` `setModifyingUser(Person modifyingUser)` Revisions have only one author, the user who modified the document to create that revision.
`void` `setPublish(java.lang.Boolean publish)` Sets whether the revision is published.
`void` `setPublishAuto(java.lang.Boolean publishAuto)` Sets whether changes to the document are automatically re-published.
`void` `setPublishOutsideDomain(java.lang.Boolean publishOutsideDomain)` Sets whether the document is published outside of its domain.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBLISH_NAMESPACE

    public static final java.lang.String PUBLISH_NAMESPACE

See Also:
  Constant Field Values

### LABEL

    public static final java.lang.String LABEL

  Label for category.

  See Also:
    Constant Field Values

### KIND

    public static final java.lang.String KIND

  Kind category term used to label revision entries.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Category used to label revision entries.

Constructor Detail

### RevisionEntry

    public RevisionEntry()

### RevisionEntry

    public RevisionEntry(BaseEntry<?> sourceEntry)

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### setModifyingUser

    public void setModifyingUser(Person modifyingUser)

  Revisions have only one author, the user who modified the document to create that revision. These are convenience methods for setting and getting a sole author.

  Parameters:
    `modifyingUser` - the user who modified the document/created the revision

### getModifyingUser

    public Person getModifyingUser()

  Returns:
    the user who modified the document/created the revision

### getPublishLink

    public Link getPublishLink()

  Returns the publically accessible link for the published revision.

### isPublish

    public java.lang.Boolean isPublish()

  Returns whether the revision is published.

  Returns:
    whether revision is published

### setPublish

    public void setPublish(java.lang.Boolean publish)

  Sets whether the revision is published.

  Parameters:
    `publish` - true if revision is published

### isPublishAuto

    public java.lang.Boolean isPublishAuto()

  Returns whether changes to the document are automatically re-published.

  Returns:
    whether auto re-published

### setPublishAuto

    public void setPublishAuto(java.lang.Boolean publishAuto)

  Sets whether changes to the document are automatically re-published.

  Parameters:
    `publishAuto` - true if auto re-published

### isPublishOutsideDomain

    public java.lang.Boolean isPublishOutsideDomain()

  Sets whether the document is published outside of its domain.

  Returns:
    whether outside domain

### setPublishOutsideDomain

    public void setPublishOutsideDomain(java.lang.Boolean publishOutsideDomain)

  Sets whether the document is published outside of its domain.

  Parameters:
    `publishOutsideDomain` - true if outside domain